<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="800.0" prefWidth="800.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="proyecto.controller.RegistrarProductoController">
    <children>
      <BorderPane fx:id="contenedorProducto" minHeight="600.0" minWidth="800.0" prefHeight="800.0" prefWidth="800.0">
         <center>
              <VBox alignment="TOP_CENTER" prefHeight="200.0" prefWidth="100.0" spacing="10.0" BorderPane.alignment="CENTER">
                  <padding>
                      <Insets left="20.0" right="20.0" top="20.0" />
                  </padding>
                  <children>
                      <Label text="REGISTRO DE PRODUCTOS" />
                      <GridPane>
                          <columnConstraints>
                              <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                              <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                          </columnConstraints>
                          <rowConstraints>
                              <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                              <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                              <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                              <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                          </rowConstraints>
                          <children>
                              <Label text="Id" />
                              <Label text="Talla" GridPane.rowIndex="1" />
                              <Label text="Marca" GridPane.rowIndex="2" />
                              <Label text="Valor" GridPane.rowIndex="3" />
                              <TextField fx:id="txtId" GridPane.columnIndex="1" />
                              <TextField fx:id="txtTalla" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                              <TextField fx:id="txtMarca" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                              <TextField fx:id="txtValor" GridPane.columnIndex="1" GridPane.rowIndex="3" />
                <TextField fx:id="txtGenero" GridPane.columnIndex="1" GridPane.rowIndex="4" />
                <Label text="Genero" GridPane.rowIndex="4" />
                          </children>
                      </GridPane>
                      <ButtonBar prefHeight="40.0" prefWidth="200.0">
                          <buttons>
                        <Button alignment="CENTER" mnemonicParsing="false" onAction="#btnVenta_action" text="Registrar venta">
                           <opaqueInsets>
                              <Insets />
                           </opaqueInsets>
                        </Button>
                        <Button mnemonicParsing="false" onAction="#btnEliminar_action" text="Eliminar" />
                        <Button mnemonicParsing="false" onAction="#btnConsultar_action" text="Consultar" />
                              <Button mnemonicParsing="false" onAction="#btnGuardar_action" text="Registrar producto" />
                          </buttons>
                      </ButtonBar>
                      <TableView fx:id="tblProductos" prefHeight="400.0" prefWidth="200.0">
                          <columns>
                              <TableColumn fx:id="clmId" prefWidth="75.0" text="Id" />
                              <TableColumn fx:id="clmTalla" prefWidth="75.0" text="Talla" />
                              <TableColumn fx:id="clmMarca" prefWidth="75.0" text="Marca" />
                <TableColumn fx:id="clmValor" prefWidth="75.0" text="Valor" />
                <TableColumn fx:id="clmGenero" prefWidth="75.0" text="Genero" />
                          </columns>
                          <columnResizePolicy>
                              <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                          </columnResizePolicy>
                      </TableView>
                  <TextArea editable="false" prefHeight="100.0" prefWidth="200.0" text="-- Si desea consultar si un producto esta en el inventario solo es necesario ingresar su id.&#10;-- Para registrar venta, eliminar un producto o registrar un producto es necesario ingresar todos los datos requeridos.&#10;-- Al usar eliminar, solo elimina el producto del inventario mas no registrara su venta.&#10;-- Al usar Registrar Venta, eliminara el producto y podra registrar su venta.&#10;-- El genero debe ser M o F (Masculino o Femenino).">
                     <font>
                        <Font name="Times New Roman" size="14.0" />
                     </font>
                  </TextArea>
                  </children>
              </VBox>
         </center>
      </BorderPane>
    </children>



</AnchorPane>
